| Crypto-3.0.3: DES, Blowfish, AES, SHA1, MD5, RSA, X.509 Identity and Attribute Certificates, General ASN.1 Support, Base64, PKCS8, PKCS1v15, Hexdump, Support for Word128, Word192 and Word256 and Beyond, PKCS5 Padding, Various Encryption Modes e.g. Cipher Block Chaining all in one package. | Contents | Index
Codec.ASN1.TLV |
Portability | portable
Stability | experimental
Maintainer | dominic.steinitz@blueyonder.co.uk
Contents
Types Function types,
Description
Decode binary BER into abstract an abstract representation of tag, length and value ensuring that the lengths are consistent.
Synopsis
tlv :: [Octet] -> (Length, Encoding)
tlvIO :: BinHandle -> IO (Length, Encoding)
Types
Function types,
tlv :: [Octet] -> (Length, Encoding)
tlvIO :: BinHandle -> IO (Length, Encoding)
Produced by Haddock version 0.8